/*  File: api.h  */

/* External declarations of the dummy API for the AR System driver */

                         /**  Decode specials  **/
void APIPrintStatusHistory();
void APIPrintDiary();
                         /**  Entry  **/
void APIARGetEntry();
void APIARGetMultipleEntries();
void APIARSetEntry();
void APIARCreateEntry();
void APIARDeleteEntry();
void APIARGetListEntry();
void APIARGetListEntryWithFields();
void APIARMergeEntry();
void APIARLoadARQualifierStruct();
void APIARGetEntryStatistics();
void APIARGetEntryBLOB();
void APIARBeginBulkEntryTransaction();
void APIAREndBulkEntryTransaction();
void APIARGetListEntryBlocks();
                         /**  Container  **/
void APIARGetContainer();
void APIARSetContainer();
void APIARCreateContainer();
void APIARDeleteContainer();
void APIARGetListContainer();
void APIARGetMultipleContainers();
                         /**  Schema  **/
void APIARGetSchema();
void APIARSetSchema();
void APIARCreateSchema();
void APIARDeleteSchema();
void APIARGetListSchema();
void APIARGetMultipleSchemas();
void APIARGetListSchemaWithAlias();
void APIARGetField();
void APIARSetField();
void APIARCreateField();
void APIARDeleteField();
void APIARDeleteMultipleFields();
void APIARGetListField();
void APIARGetMultipleFields();
                         /**  VUI  **/
void APIARGetVUI();
void APIARSetVUI();
void APIARCreateVUI();
void APIARDeleteVUI();
void APIARGetListVUI();
void APIARGetMultipleVUIs();
                         /**  Character Menu  **/
void APIARGetCharMenu();
void APIARSetCharMenu();
void APIARCreateCharMenu();
void APIARDeleteCharMenu();
void APIARGetListCharMenu();
void APIARGetMultipleCharMenus();
void APIARExpandCharMenu();
void APIARExpandSSMenu();
                         /**  Filter  **/
void APIARGetFilter();
void APIARSetFilter();
void APIARCreateFilter();
void APIARDeleteFilter();
void APIARGetListFilter();
void APIARGetMultipleFilters();
                        /**  Escalations  **/
void APIARGetEscalation();
void APIARSetEscalation();
void APIARCreateEscalation();
void APIARDeleteEscalation();
void APIARGetListEscalation();
void APIARGetMultipleEscalations();
                         /**  Active Link  **/
void APIARGetActiveLink();
void APIARSetActiveLink();
void APIARCreateActiveLink();
void APIARDeleteActiveLink();
void APIARGetListActiveLink();
void APIARGetMultipleActiveLinks();
                         /**  Support File  **/
void APIARGetSupportFile();
void APIARSetSupportFile();
void APIARCreateSupportFile();
void APIARDeleteSupportFile();
void APIARGetListSupportFile();
                         /**  Group/User  **/
void APIARGetListGroup();
void APIARGetListUser();
void APIARGetListRole();
void APIARGetListApplicationState();
void APIARGetApplicationState();
void APIARSetApplicationState();
                         /**  Currency  **/
void APIARGetMultipleCurrencyRatioSets();
void APIARGetCurrencyRatio();
                         /**  Miscellaneous  **/
void APIARVerifyUser();
void APIARExport();
void APIARImport();
void APIARUnImport();
void APIARGetListServer();
void APIARInitialization();
void APIARTermination();
void APIARGetServerInfo();
void APIARSetServerInfo();
void APIARGetServerStatistics();
void APIARGetFullTextInfo();
void APIARSetFullTextInfo();
void APIARGetListSQL();
void APIARGetListSQLForActiveLink();
void APIARExecuteProcess();
void APIARExecuteProcessForActiveLink();
void APIARSetServerPort();
void APIARGetTextForErrorMessage();
void APIARSetLogging();
void APIARSignal();
void APIARCloseNetworkConnections();
void APIARValidateFormCache();
void APIARCreateAlertEvent();
void APIARRegisterForAlerts();
void APIARDeregisterForAlerts();
void APIARGetListAlertUser();
void APIARGetAlertCount();
void APIARDecodeAlertMessage();
void APIARDecodeARQualifierStruct();
void APIAREncodeARQualifierStruct();
void APIARDecodeARAssignStruct();
void APIAREncodeARAssignStruct();
void APIAREncodeStatusHistory();
void APIAREncodeDiary();
void APIARValidateLicense();
void APIARValidateMultipleLicenses();
void APIARGetListLicense();
void APIARCreateLicense();
void APIARDeleteLicense();
void APIARImportLicense();
void APIARExportLicense();
void APIARGetLocalizedValue();
void APIARGetMultipleLocalizedValues();
void APIARGetListExtSchemaCandidates();
void APIARGetMultipleExtFieldCandidates();
void APIARGetSessionConfiguration();
void APIARSetSessionConfiguration();
void APIARDateToJulianDate();
void APIARJulianDateToDate();
void APIARXMLCreateEntry();
void APIARXMLGetEntry();
void APIARXMLSetEntry();
void APIARGetMultipleEntryPoints();
